Skip to main content
GET
/
v2
/
passes
cURL
curl --request GET \
  --url https://api-alpha.fourvenues.com/integrations/v2/passes/ \
  --header 'integration_id: <api-key>' \
  --header 'secret: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "_id": "Pl4gr84v20xqu01js0ybj42s6vYtIz1T",
      "organization_id": "or4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "code": "P6J21FF2S",
      "customer_id": "cl4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "customer_fullname": "Miguel Perez",
      "customer_email": "my-client-email@fourvenues.com",
      "customer_phone": "+34600000000",
      "type_id": "ty4gr63f00xkq01i1d8jh5ohuzaZhvoE",
      "type_name": "Premium 7 dias",
      "purchase_date": 1712861139,
      "purchase_price": 35,
      "state": "activated",
      "archived": false,
      "passes_usages": [
        {
          "_id": "pux4gr84v20xqu01js0ybj42s6vYtIz1T",
          "organization_id": "or4gr63f00xkq01i1d8jh5ohuzaZhvoE",
          "event_id": "el4gr63f00xkq01i1d8jh5ohuzaZhvoE",
          "pass_id": "Pl4gr84v20xqu01js0ybj42s6vYtIz1T",
          "usage_price": 35,
          "usage_revenue": 0,
          "usage_time": 1712861139,
          "usage_beneficiaries": 1,
          "usage_males": 0,
          "usage_females": 1,
          "usage_others": 0,
          "beneficiaries": 1,
          "checked_in": true
        }
      ]
    }
  ]
}

Authorizations

integration_id
string
header
required

Identifier of the integration (Auth v1)

secret
string
header
required

Secret of the organization (Auth v1)

x-api-key
string
header
required

API key (Auth v2)

Query Parameters

event_id
string
required

Event identifier.

Response

HTTP OK

success
boolean
Example:

true

data
object[]

Array of Pass v2